%define name 	linphone
%define version 3.5.2
%define release %mkrel 5
%define url_ver %(echo %{version} | cut -d. -f1,2)

%define linphone_major 4
%define mediastreamer_major 1
%define libname_linphone %mklibname %{name} %{linphone_major}
%define libname_mediastreamer %mklibname mediastreamer %{mediastreamer_major}
%define libname_devel %mklibname -d %{name}

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Summary: 	Voice over IP Application
License: 	GPLv2+
Group: 		Communications/Telephony
URL: 		http://www.linphone.org/
Source0:	http://download-mirror.savannah.gnu.org/releases/linphone/%{url_ver}.x/sources/%{name}-%{version}.tar.gz
Patch0:         linphone-3.2.0-imagedir.patch
Patch1:		linphone-3.5.0-link.patch
Patch2:		linphone-3.5.2-ffmpeg0.11.patch
Patch3:		linphone-3.5.2-automake-1.13.patch
BuildRequires:	automake
BuildRequires:	alsa-lib-devel
BuildRequires:	desktop-file-utils
BuildRequires:	exosip-devel >= 3.1.0
BuildRequires:	ffmpeg-devel
BuildRequires:	gettext
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel
BuildRequires:	gsm-devel
BuildRequires:	gtk-doc
BuildRequires:	intltool
BuildRequires:	gtk+2-devel
BuildRequires:	libxv-devel
BuildRequires:	libxext-devel
BuildRequires:	libx11-devel
BuildRequires:	libosip2-devel >= 3.1.0
BuildRequires:	readline-devel
BuildRequires:	speex-devel
BuildRequires:	ortp-devel >= 0.17.0
BuildRequires:	libv4l-devel
BuildRequires:	libtheora-devel
BuildRequires:	pulseaudio-devel

%description
Linphone is web-phone with a GNOME2 interface. It uses open protocols
such as SIP and RTP to make the communications.

%package -n     %{libname_linphone}
Summary:        Primary library for %{name}
Group:          System/Libraries

%description -n %{libname_linphone}
Primary library for %{name}.

%package -n     %{libname_mediastreamer}
Summary:        Media Streaming library for %{name}
Group:          System/Libraries

%description -n %{libname_mediastreamer}
Media Streaming library for %{name}.

%package -n     %{libname_devel}
Summary:        Header files and static libraries from %{name}
Group:          Development/C
Requires:       %{libname_linphone} = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      %{name}-devel < %{version}-%{release}
Obsoletes:      %mklibname -d %{name} 1

%description -n %{libname_devel}
Libraries and includes files for developing programs based on %{name}.

%prep
%setup -q
%patch0 -p0 -b .image-dir
%patch1 -p0 -b .link
%patch2 -p0 -b .ffmpeg
%patch3 -p0 -b .automake

%build
./autogen.sh
( pushd mediastreamer2
./autogen.sh
%before_configure
popd )

%configure2_5x \
    --disable-static \
    --disable-rpath \
    --enable-alsa \
    --disable-strict \
    --enable-external-ortp \
    --enable-ipv6
%make

%install
%makeinstall_std

%find_lang %{name} --all-name

desktop-file-install \
	--vendor="" \
	--add-category="VideoConference" \
	--remove-category='Application' \
	--dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/linphone.desktop

%multiarch_includes %{buildroot}%{_includedir}/linphone/config.h

# remove unwanted docs, generated if doxygen is installed
rm -rf %{buildroot}%{_docdir}/ortp %{buildroot}%{_docdir}/mediastreamer

# don't ship .la:
rm -f %{buildroot}%{_libdir}/*.la

%files -f %{name}.lang
%doc COPYING README AUTHORS BUGS INSTALL ChangeLog
%doc %{_datadir}/gnome/help/%{name}
%{_bindir}/linphone*
%{_bindir}/mediastream
%{_mandir}/man1/*
%lang(cs) %{_mandir}/cs/man1/*
%{_datadir}/pixmaps/%{name}
%{_datadir}/sounds/%{name}
#{_datadir}/tutorials/%%{name}
%{_datadir}/images/linphone/nowebcamCIF.jpg
%{_datadir}/applications/*
%{_datadir}/linphone

%files -n %{libname_linphone}
%{_libdir}/liblinphone.so.%{linphone_major}*

%files -n %{libname_mediastreamer}
%{_libdir}/libmediastreamer.so.%{mediastreamer_major}*

%files -n %{libname_devel}
%{_includedir}/linphone
%multiarch %{multiarch_includedir}/linphone/config.h
%{_includedir}/mediastreamer2
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 3.5.2-5.mga3
+ Revision: 358833
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 fwang <fwang> 3.5.2-4.mga3
+ Revision: 341733
- fix build with automake 1.13
- rebuild for new ffmpeg

  + luigiwalser <luigiwalser>
    - BR automake

* Sat Oct 20 2012 malo <malo> 3.5.2-2.mga3
+ Revision: 308465
- update RPM group

* Fri Jun 01 2012 fwang <fwang> 3.5.2-1.mga3
+ Revision: 252815
- update file list
- more patch
- more patch
- fix build with latest ffmpeg 0.11

* Mon Mar 05 2012 fwang <fwang> 3.5.2-1.mga2
+ Revision: 218368
- update file list
- new version 3.5.2

* Fri Mar 02 2012 fwang <fwang> 3.5.0-2.mga2
+ Revision: 216670
- rebuild for new vpx

* Tue Dec 27 2011 fwang <fwang> 3.5.0-1.mga2
+ Revision: 188087
- use external ortp
- update file list
- update file list
- fix linkage
- new version 3.5.0
- rebuild for new exosip

* Fri Jun 24 2011 fwang <fwang> 3.4.3-1.mga2
+ Revision: 113126
- new version 3.4.3

* Thu Jan 20 2011 ahmad <ahmad> 3.3.2-2.mga1
+ Revision: 27055
- imported package linphone

